/* vi:set ts=8 sts=4 sw=4:
 *
 * VIM - Vi IMproved	by Bram Moolenaar
 *
 * Do ":help uganda"  in Vim to read copying and usage conditions.
 * Do ":help credits" in Vim to see a list of people who contributed.
 */

/*
 * Common MS-DOS and Win32 (Windows NT and Windows 95) defines.
 *
 * Names for the EXRC, HELP and temporary files.
 * Some of these may have been defined in the makefile or feature.h.
 */

#define HAVE_STDLIB_H
#define HAVE_STRING_H

#ifndef USR_VIMRC_FILE
# define USR_VIMRC_FILE		"$VIM\\_vimrc"
#endif

#ifndef USR_EXRC_FILE
# define USR_EXRC_FILE		"$VIM\\_exrc"
#endif

#ifdef VIMINFO
# ifndef VIMINFO_FILE
#  define VIMINFO_FILE		"$HOME\\_viminfo"
# endif
# ifndef VIMINFO_FILE2
#  define VIMINFO_FILE2		"$VIM\\_viminfo"
# endif
#endif

#ifndef VIMRC_FILE
# define VIMRC_FILE	"_vimrc"
#endif

#ifndef EXRC_FILE
# define EXRC_FILE	"_exrc"
#endif

#ifndef VIM_HLP
# define VIM_HLP	"$VIMRUNTIME\\doc\\help.txt"
#endif

#ifndef FILETYPE_FILE
# define FILETYPE_FILE	"$VIMRUNTIME\\filetype.vim"
#endif

#ifndef SYNTAX_FNAME
# define SYNTAX_FNAME   "$VIM/syntax/%s.vim"
#endif

#ifndef FTOFF_FILE
# define FTOFF_FILE	"$VIMRUNTIME\\ftoff.vim"
#endif

#ifndef SYS_MENU_FILE
# define SYS_MENU_FILE	"$VIMRUNTIME\\menu.vim"
#endif

#ifndef DEF_BDIR
# define DEF_BDIR	".,c:\\tmp,c:\\temp"	/* default for 'backupdir' */
#endif

#ifndef DEF_DIR
# define DEF_DIR	".,c:\\tmp,c:\\temp"	/* default for 'directory' */
#endif

#define ERRORFILE	"errors.err"
#define MAKEEF		"vim##.err"

#define	NO_BUILTIN_TCAPS
#define	TERMINFO
#define	HAVE_TGETENT

#define CASE_INSENSITIVE_FILENAME   /* ignore case when comparing file names */
#define SPACE_IN_FILENAME
#define BACKSLASH_IN_FILENAME
#define USE_CRNL		/* lines end in CR-NL instead of NL */
#define	USE_TMPNAM
#define	BASENAMELEN	64
#define SIZEOF_INT 4		/* 32 bit ints */

#ifndef MAXMEM
# define MAXMEM		(2*1024)    /* use up to 2 Mbyte for a buffer */
#endif

#ifndef MAXMEMTOT
# define MAXMEMTOT	(5*1024)    /* use up to 5 Mbyte for Vim */
#endif

#define mch_rename(src, dst) rename(src, dst)
#define mch_getenv(x) (char_u *)getenv((char *)x)

#if defined(__WINS__) || defined(__MARM__)
# define DEFAULT_TERM   (char_u *)"epoc32"
#endif

#include <sys/stat.h>
#include <sys/fcntl.h>
